> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Get order tracking info by tracking number. No authentication required.



## OpenAPI

````yaml /api-reference/openapi.json get /openapi/v1/OrderTracking/{trackingNumber}
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/OrderTracking/{trackingNumber}:
    get:
      tags:
        - OrderTracking
      summary: Get order tracking info by tracking number. No authentication required.
      parameters:
        - name: trackingNumber
          in: path
          required: true
          schema:
            type: string
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/GuestOrderTrackingResponseDTO'
            application/json:
              schema:
                $ref: '#/components/schemas/GuestOrderTrackingResponseDTO'
            text/json:
              schema:
                $ref: '#/components/schemas/GuestOrderTrackingResponseDTO'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    GuestOrderTrackingResponseDTO:
      required:
        - createdAt
        - state
      type: object
      properties:
        referenceNumber:
          type: string
        oplogTrackingNumber:
          type: string
        state:
          $ref: '#/components/schemas/SalesOrderState'
        createdAt:
          type: string
          format: date-time
        pickedAt:
          type: string
          format: date-time
        packedAt:
          type: string
          format: date-time
        shippedAt:
          type: string
          format: date-time
        deliveredAt:
          type: string
          format: date-time
        cancelledAt:
          type: string
          format: date-time
        shippingInfo:
          $ref: '#/components/schemas/GuestShippingInfoDTO'
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
        title:
          type: string
        status:
          type: integer
          format: int32
        detail:
          type: string
        instance:
          type: string
        extensions:
          type: object
          additionalProperties:
            type: object
            additionalProperties: false
      additionalProperties: false
    SalesOrderState:
      enum:
        - Cancelled
        - Created
        - Picked
        - Packed
        - ReadyToBeShipped
        - Shipped
        - Delivered
      type: string
    GuestShippingInfoDTO:
      type: object
      properties:
        trackingUrl:
          type: string
        shippingCompany:
          type: string
      additionalProperties: false
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````